require "catfriend_RF13_gem/version"

	module CatfriendRF13Gem
		def to_piglatin(english_word)
			vowel = ['a','e','i','o','u']
			if vowel.include?english_word[0,1]
				return english_word + '-way'
			end
			for i in 0...english_word.length
				if vowel.include?english_word[i,1]
					if english_word[i,1] != 'u' || (english_word[i,1] == 'u' && [i-1,1] != 'q')
						index = i;
						break
					end
				end
			end
			return english_word[index, english_word.length] + '-' + english_word[0, index] + 'ay'
		end
	end
end

    # This method accepts an English word ('english_word') passed
    # in as a string. It translates the English word is translated into Pig Latin, 
    # and the resulting translation is returned as a string. 
    # English to Pig Latin rules
    # 1) words that start with a vowel (a, e, i, o, u) have '-way'
    # appended to the end of the word
    # 2) words that start with a consonant have all their consonant letters
    # prior to the first vowel moved to the end of the word, and '-ay' is appended
    # 2A 'y' is counted as a vowel.
   